<?php
	// File: driver.php
	// Author: Jack Servedio <jack@jservedio.com>
	/* Description:
	   This is a sample driver file to demonstrate the basics of the AES128 Class. This file will show you how to instantiate an Object and Encrypt and Decrypt a String.
	*/

	//Include AES128 Class
	require_once('AES128.class.php');
	
	//Text to Encrypt
	$plaintext = "Lorem ipsum dolor sit amet";
	
	//Configuration [Key and Mode]
	$key = "098f6bcd4621d373cade4e832627b4f6"; //128-bit key - 32 Hex Characters
	$mode = "ECB"; //Mcrypt Mode [ECB, CFB, or CBC] - Default is ECB
	
	//Instantiate Object and pass Key and Mode [optional] as Parameters
	$aes = new AES128( $key, $mode );
	
	//Encrypt the Plaintext using the aes Object
	$encrypted = $aes->encrypt( $plaintext );
	
	//Decrypt the Encrypted Data using the aes Object
	$decrypted = $aes->decrypt( $encrypted );
	
	//Rough Output for Browser (Quirksmode)
	echo "Plaintext: ".$plaintext."<br>";
	echo "Encrypted: ".$encrypted."<br>";
	echo "Decrypted: ".$decrypted."<br>";
?>